color_white = Color.new(255, 255, 255)
color_black = Color.new(0, 0, 0)
offscreen = Image.createEmpty(480, 272)
offscreen:clear(Color.new(0, 0, 0))
posy = 0
posx = 0


function print(text)
	if posy==272 then
		offscreen = Image.createEmpty(480, 272)
		offscreen:clear(color_black)
		posy = 0
	end
	for i = 1, string.len(text) do
		char = string.sub(text, i, i)
		if char == "\n" then
			posy = posy + 8
			posx = 0
		elseif char ~= "\r" then
			offscreen:print(posx, posy, char, color_white)
			posx = posx + 8
		end
	end
	screen:blit(0, 0, offscreen)
	screen.flip()
end


function println(text)
	print(text .. "\n")
end

function echoAndDisplay(onX, onY, text)
	initScreen()
	screen:print(onX, onY, text, color_white)
	screen.flip()
end

function echo(onX, onY, text)
	screen:print(onX, onY, text, color_white)
end

function display()
	screen.flip()
end

function initScreen()
	screen:clear(color_black)
end

function initScreenAndDisplay()
	initScreen()
	screen.flip()
end
